=== modified file 'drizzled/definitions.h'
--- drizzled/definitions.h	2008-08-20 15:38:22 +0000
+++ drizzled/definitions.h	2008-08-20 15:57:01 +0000
@@ -337,8 +337,7 @@
 #ifndef DRIZZLE_CLIENT
 
 /* Bits for different SQL modes modes (including ANSI mode) */
-#define MODE_NO_ZERO_IN_DATE		(2)
-#define MODE_NO_ZERO_DATE		(MODE_NO_ZERO_IN_DATE*2)
+#define MODE_NO_ZERO_DATE		(2)
 #define MODE_INVALID_DATES		(MODE_NO_ZERO_DATE*2)
 
 /* @@optimizer_switch flags */

=== modified file 'drizzled/field/date.cc'
--- drizzled/field/date.cc	2008-08-10 02:16:24 +0000
+++ drizzled/field/date.cc	2008-08-20 15:57:01 +0000
@@ -62,8 +62,7 @@
   if ((ret= str_to_datetime(from, len, &l_time,
                             (TIME_FUZZY_DATE |
                              (thd->variables.sql_mode &
-                              (MODE_NO_ZERO_IN_DATE | MODE_NO_ZERO_DATE |
-                               MODE_INVALID_DATES))),
+                              (MODE_NO_ZERO_DATE | MODE_INVALID_DATES))),
                             &error)) <= DRIZZLE_TIMESTAMP_ERROR)
   {
     tmp= 0;
@@ -111,8 +110,7 @@
   if (number_to_datetime(nr, &l_time,
                          (TIME_FUZZY_DATE |
                           (thd->variables.sql_mode &
-                           (MODE_NO_ZERO_IN_DATE | MODE_NO_ZERO_DATE |
-                            MODE_INVALID_DATES))),
+                           (MODE_NO_ZERO_DATE | MODE_INVALID_DATES))),
                          &error) == -1LL)
   {
     tmp= 0L;
@@ -148,8 +146,7 @@
     if (check_date(ltime, tmp != 0,
                    (TIME_FUZZY_DATE |
                     (current_thd->variables.sql_mode &
-                     (MODE_NO_ZERO_IN_DATE | MODE_NO_ZERO_DATE |
-                      MODE_INVALID_DATES))), &error))
+                     (MODE_NO_ZERO_DATE | MODE_INVALID_DATES))), &error))
     {
       char buff[MAX_DATE_STRING_REP_LENGTH];
       String str(buff, sizeof(buff), &my_charset_latin1);

=== modified file 'drizzled/field/datetime.cc'
--- drizzled/field/datetime.cc	2008-08-06 19:05:07 +0000
+++ drizzled/field/datetime.cc	2008-08-20 15:57:01 +0000
@@ -45,8 +45,7 @@
   func_res= str_to_datetime(from, len, &time_tmp,
                             (TIME_FUZZY_DATE |
                              (thd->variables.sql_mode &
-                              (MODE_NO_ZERO_IN_DATE | MODE_NO_ZERO_DATE |
-                               MODE_INVALID_DATES))),
+                              (MODE_NO_ZERO_DATE | MODE_INVALID_DATES))),
                             &error);
   if ((int) func_res > (int) DRIZZLE_TIMESTAMP_ERROR)
     tmp= TIME_to_uint64_t_datetime(&time_tmp);
@@ -96,8 +95,7 @@
 
   nr= number_to_datetime(nr, &not_used, (TIME_FUZZY_DATE |
                                          (thd->variables.sql_mode &
-                                          (MODE_NO_ZERO_IN_DATE |
-                                           MODE_NO_ZERO_DATE |
+                                          (MODE_NO_ZERO_DATE |
                                            MODE_INVALID_DATES))), &error);
 
   if (nr == -1LL)
@@ -140,8 +138,7 @@
     if (check_date(ltime, tmp != 0,
                    (TIME_FUZZY_DATE |
                     (current_thd->variables.sql_mode &
-                     (MODE_NO_ZERO_IN_DATE | MODE_NO_ZERO_DATE |
-                      MODE_INVALID_DATES))), &error))
+                     (MODE_NO_ZERO_DATE | MODE_INVALID_DATES))), &error))
     {
       char buff[MAX_DATE_STRING_REP_LENGTH];
       String str(buff, sizeof(buff), &my_charset_latin1);

=== modified file 'drizzled/field/timestamp.cc'
--- drizzled/field/timestamp.cc	2008-08-06 19:05:07 +0000
+++ drizzled/field/timestamp.cc	2008-08-20 15:57:01 +0000
@@ -213,8 +213,7 @@
 
   /* We don't want to store invalid or fuzzy datetime values in TIMESTAMP */
   int64_t tmp= number_to_datetime(nr, &l_time, (thd->variables.sql_mode &
-                                                 MODE_NO_ZERO_DATE) |
-                                   MODE_NO_ZERO_IN_DATE, &error);
+                                                 MODE_NO_ZERO_DATE), &error);
   if (tmp == -1LL)
   {
     error= 2;

=== modified file 'drizzled/field_conv.cc'
--- drizzled/field_conv.cc	2008-08-14 20:59:41 +0000
+++ drizzled/field_conv.cc	2008-08-20 15:57:01 +0000
@@ -637,7 +637,7 @@
       */
       if (to->real_type() != from->real_type() ||
           !compatible_db_low_byte_first ||
-          (((to->table->in_use->variables.sql_mode & (MODE_NO_ZERO_IN_DATE | MODE_NO_ZERO_DATE | MODE_INVALID_DATES)) && to->type() == DRIZZLE_TYPE_NEWDATE) || to->type() == DRIZZLE_TYPE_DATETIME))
+          (((to->table->in_use->variables.sql_mode & (MODE_NO_ZERO_DATE | MODE_INVALID_DATES)) && to->type() == DRIZZLE_TYPE_NEWDATE) || to->type() == DRIZZLE_TYPE_DATETIME))
       {
 	if (from->real_type() == DRIZZLE_TYPE_ENUM)
 	  if (to->result_type() != STRING_RESULT)
@@ -729,7 +729,7 @@
         (to->real_type() != DRIZZLE_TYPE_NEWDECIMAL || (to->field_length == from->field_length && (((Field_num*)to)->dec == ((Field_num*)from)->dec))) &&
         from->charset() == to->charset() &&
 	to->table->s->db_low_byte_first == from->table->s->db_low_byte_first &&
-        (!(to->table->in_use->variables.sql_mode & (MODE_NO_ZERO_IN_DATE | MODE_NO_ZERO_DATE | MODE_INVALID_DATES)) || (to->type() != DRIZZLE_TYPE_NEWDATE && to->type() != DRIZZLE_TYPE_DATETIME)) && 
+        (!(to->table->in_use->variables.sql_mode & (MODE_NO_ZERO_DATE | MODE_INVALID_DATES)) || (to->type() != DRIZZLE_TYPE_NEWDATE && to->type() != DRIZZLE_TYPE_DATETIME)) && 
         (from->real_type() != DRIZZLE_TYPE_VARCHAR || ((Field_varstring*)from)->length_bytes == ((Field_varstring*)to)->length_bytes))
     {						// Identical fields
 #ifdef HAVE_purify

=== modified file 'drizzled/item.cc'
--- drizzled/item.cc	2008-08-18 22:20:43 +0000
+++ drizzled/item.cc	2008-08-20 15:57:01 +0000
@@ -957,7 +957,7 @@
   THD *thd= table->in_use;
   enum_check_fields tmp= thd->count_cuted_fields;
   ulong sql_mode= thd->variables.sql_mode;
-  thd->variables.sql_mode&= ~(MODE_NO_ZERO_IN_DATE | MODE_NO_ZERO_DATE);
+  thd->variables.sql_mode&= ~(MODE_NO_ZERO_DATE);
   thd->count_cuted_fields= CHECK_FIELD_IGNORE;
   res= save_in_field(field, no_conversions);
   thd->count_cuted_fields= tmp;

=== modified file 'drizzled/item_cmpfunc.cc'
--- drizzled/item_cmpfunc.cc	2008-08-20 15:38:22 +0000
+++ drizzled/item_cmpfunc.cc	2008-08-20 15:57:01 +0000
@@ -638,8 +638,7 @@
 
   ret= str_to_datetime(str->ptr(), str->length(), &l_time,
                        (TIME_FUZZY_DATE | MODE_INVALID_DATES |
-                        (thd->variables.sql_mode &
-                         (MODE_NO_ZERO_IN_DATE | MODE_NO_ZERO_DATE))),
+                        (thd->variables.sql_mode & MODE_NO_ZERO_DATE)),
                        &error);
 
   if (ret == DRIZZLE_TIMESTAMP_DATETIME || ret == DRIZZLE_TIMESTAMP_DATE)

